Pular para o conteúdo

List endpoints

Requisição

Segurança
httpAuth
Caminho
domainIdstring, (uuid)obrigatório

Unique identifier for the domain.

Consulta
limitinteger, (int32), [ 1 .. 100 ]

The number of entities to return.

startingAfterstring, (uuid)

Entity id used to the determine beginning of query results.

sortBystring

Property name used to sort the query results.

Enum:"id""alias""address""ledgerId""trustScore""lock""metadata.createdAt""metadata.lastModifiedAt"
sortOrderstring

Sort order applied to the query results.

Enum:"ASC""DESC"
ledgerIdArray of strings

Return entities matching given ledger id.

Exemplo:ledgerId=45671234
aliasstring, non-empty

Return entities with aliases that contains or equals to provided alias.

Exemplo:alias=alias1
addressArray of strings

Return entities matching given alias.

Exemplo:address=someLedgerAddress
metadata.createdBystring, (uuid)

Return entities that were created by matching user.

Exemplo:metadata.createdBy=fdeeeb4b-f987-4ec4-9880-1eb280581d49
metadata.lastModifiedBystring, (uuid)

Return entities that were last modified by matching user.

Exemplo:metadata.lastModifiedBy=90c4cf2f-ebe0-4bf7-91cd-4c45cd02277b
metadata.descriptionstring, >= 0 characters

Return entities with descriptions that contains or equals to provided description.

Exemplo:metadata.description=description1
metadata.customPropertiesArray of strings

Return entities that contains provided custom properties.

Exemplo:metadata.customProperties=key1:value1&metadata.customProperties=key2:value2
lockArray of strings

Return entities matching given lock status.

Items Enum:"Unlocked""Locked""Archived"
Exemplo:lock=Locked&lock=Unlocked
curl -i -X GET \
  'https://docs.ripple.com/_mock/pt-br/products/custody/devbox/v1/domains/{domainId}/endpoints?limit=1&startingAfter=497f6eca-6276-4993-bfeb-53cbbbba6f08&sortBy=id&sortOrder=ASC&ledgerId=45671234&alias=alias1&address=someLedgerAddress&metadata.createdBy=fdeeeb4b-f987-4ec4-9880-1eb280581d49&metadata.lastModifiedBy=90c4cf2f-ebe0-4bf7-91cd-4c45cd02277b&metadata.description=description1&metadata.customProperties=key1%3Avalue1%2Ckey2%3Avalue2&lock=Locked%2CUnlocked' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Respostas

Corpoapplication/json
itemsArray of objectsobrigatório
countinteger, (int32)obrigatório
currentStartingAfterstring
nextStartingAfterstring
Resposta
{ "items": [ { … } ], "count": 0, "currentStartingAfter": "string", "nextStartingAfter": "string" }